> ## Documentation Index
> Fetch the complete documentation index at: https://developer.valuechecker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Client References With Appraisals

> Get all client references with their appraisals. When `all_users=false` (the default behavior), client references for the current user only are returned. When you set `all_users=true`, client references for all users within the client_id are returned.



## OpenAPI

````yaml get /client_references/appraisals
openapi: 3.0.0
info:
  title: ValueChecker API
  description: The ValueChecker Application Programming Interface.
  version: 0.150.1
  x-logo:
    url: >-
      https://files.valuechecker.net/images/default-category-images/Value-Checker_top_bar_logo.png
    backgroundColor: '#FFFFFF'
    altText: ValueChecker logo
  contact:
    name: Contact
    url: https://www.valuechecker.net/contact/
    email: support@valuechecker.net
servers:
  - url: https://api.valuechecker.net/
    description: ValueChecker API URL.
security:
  - apiKey: []
tags:
  - name: default
externalDocs:
  description: PDF Documentation (official)
  url: https://www.valuechecker.net/docs/api/pdf
paths:
  /client_references/appraisals:
    get:
      tags:
        - default
      summary: Get Client References With Appraisals
      description: >-
        Get all client references with their appraisals. When `all_users=false`
        (the default behavior), client references for the current user only are
        returned. When you set `all_users=true`, client references for all users
        within the client_id are returned.
      parameters:
        - $ref: '#/components/parameters/client_id'
        - $ref: '#/components/parameters/session-id'
        - name: all_users
          in: query
          schema:
            type: boolean
          description: >-
            When false (the default behavior), returns only client references
            for the current user. If set as true, returns client references for
            all users within client_id.
          example: false
        - name: age_threshold
          in: query
          schema:
            type: string
          description: >-
            Time range with unit suffix (e.g., '1h', '2d', '1w'). Default is
            '1w'.
          example: 1w
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 10000
          description: >-
            Number of appraisals per page. If no page limit is defined, the
            default is 100. The maximum allowable limit is 10,000, and any
            higher value will be capped at this maximum.
          example: 100
        - name: page_number
          in: query
          schema:
            type: integer
            minimum: 1
          description: Page number for pagination. Default is 1.
          example: 1
      responses:
        '200':
          description: Client references with appraisals exported successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  client_id:
                    type: integer
                    description: The client ID.
                  client_name:
                    type: string
                    description: The client name.
                  client_references:
                    type: array
                    items:
                      type: object
                      properties:
                        client_reference_id:
                          type: integer
                          description: The client reference identifier.
                        client_reference:
                          type: string
                          description: The client reference name.
                        client_reference_owner:
                          type: string
                          description: >-
                            Owner of the client reference (user who created the
                            client reference).
                        client_reference_create_time:
                          type: string
                          format: date-time
                          description: When the client reference was created.
                        client_reference_appraisals_update_time:
                          type: string
                          format: date-time
                          description: >-
                            When the client reference appraisals were last
                            updated.
                        appraisals:
                          type: array
                          items:
                            type: object
                            properties:
                              appraisal_id:
                                type: integer
                                description: The appraisal identifier.
                              client_reference_id:
                                type: integer
                                description: The client reference identifier.
                              cpid:
                                type: integer
                                description: Claimed Product ID.
                              rpid:
                                type: integer
                                description: Replacement Product ID.
                              create_time:
                                type: string
                                format: date-time
                                description: When the appraisal was created.
                              update_time:
                                type: string
                                format: date-time
                                description: When the appraisal was last updated.
                              cp_name_cart:
                                type: string
                                description: Claimed product name in cart.
                              rp_name_cart:
                                type: string
                                description: Replacement product name in cart.
                              cp_pic_url:
                                type: string
                                nullable: true
                                description: Claimed product picture URL.
                              rp_pic_url:
                                type: string
                                nullable: true
                                description: Replacement product picture URL.
                              item_quantity:
                                type: number
                                description: Quantity of claimed item(s).
                              replacement_cost_value:
                                type: number
                                nullable: true
                                description: The replacement cost value.
                              rp_price_date:
                                type: string
                                format: date-time
                                nullable: true
                                description: The replacement product price date.
                              homepage_client_category_id:
                                type: integer
                                nullable: true
                                description: Homepage client category ID.
                              selected_client_category_id:
                                type: integer
                                nullable: true
                                description: Selected client category ID.
                              shop_id:
                                type: integer
                                nullable: true
                                description: The shop ID.
                              shop_name:
                                type: string
                                nullable: true
                                description: The shop name.
                              offer_id:
                                type: integer
                                nullable: true
                                description: The offer ID.
                              shop_url:
                                type: string
                                nullable: true
                                description: The shop URL.
                              valuation_snapshot:
                                type: string
                                nullable: true
                                description: >-
                                  URL to permanent page hosted by ValueChecker
                                  with the origin / proof of the valuation at
                                  the time of the search. This page includes the
                                  timestamp and snapshot of the shop offer(s)
                                  that the ValueChecker valuation was based on.
                              claimed_amount:
                                type: number
                                nullable: true
                                description: >-
                                  The claimed amount for the appraisal reported
                                  by the claimant.
                              actual_cash_value:
                                type: number
                                nullable: true
                                description: Actual cash value of the item.
                              is_compensation_based_on_claimed_amount:
                                type: boolean
                                nullable: true
                                description: >-
                                  Base the ACV calculation on the value from
                                  `claimed_amount` (Purchase Price / Repair)
                                  instead of Replacement Cost
                              depr_extra_one_year_no_receipt:
                                type: boolean
                                nullable: true
                                description: Depreciation extra one year no receipt flag.
                              comment:
                                type: string
                                nullable: true
                                description: The appraisal comment.
                              date_damage:
                                type: string
                                nullable: true
                                description: Date of damage in YYYY-MM-DD format.
                              appraisal_condition:
                                type: string
                                nullable: true
                                description: The appraisal condition.
                              appraisal_status:
                                type: string
                                nullable: true
                                description: The appraisal status.
                              appraisal_deductible:
                                type: number
                                nullable: true
                                description: The appraisal deductible.
                              attachments:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    file_name:
                                      type: string
                                      description: File name of the attachment.
                                    url:
                                      type: string
                                      description: URL to the attachment.
                                    type:
                                      type: string
                                      description: Type of the attachment.
                                    update_time:
                                      type: string
                                      format: date-time
                                      nullable: true
                                      description: When the attachment was last updated.
                  metadata:
                    type: object
                    properties:
                      fetch_time:
                        type: string
                        description: Time when the data was fetched.
                      x_request_id:
                        type: string
                        description: Request ID for tracking.
                      current_page:
                        type: integer
                        description: Current page number of the paginated results.
                      total_pages:
                        type: integer
                        description: Total number of pages available.
                      total_results:
                        type: integer
                        description: Total number of results across all pages.
              example:
                client_id: 11
                client_name: Demo UK
                client_references:
                  - client_reference_id: 9337
                    client_reference: Reference 321
                    client_reference_owner: user@example.com
                    client_reference_create_time: '2023-07-24 11:10:05'
                    client_reference_appraisals_update_time: '2023-07-25 11:10:05'
                    appraisals:
                      - appraisal_id: 97771
                        client_reference_id: 9337
                        cpid: 123456
                        rpid: 234567
                        create_time: '2023-07-25 13:54:37'
                        update_time: '2023-07-25 13:54:37'
                        cp_name_cart: Apple iPhone 14 Pro Max 1TB
                        rp_name_cart: Apple iPhone 14 Pro Max 1024GB (2022)
                        cp_pic_url: https://img.valuechecker.net/,---.jpg
                        rp_pic_url: https://img.valuechecker.net/,---.jpg
                        item_quantity: 1
                        replacement_cost_value: 1684.99
                        rp_price_date: '2023-07-25 11:07:41'
                        homepage_client_category_id: 2740
                        selected_client_category_id: 2740
                        shop_id: 123
                        shop_name: Amazon UK
                        offer_id: 9876
                        shop_url: https://offer.valuechecker.net/kihxRTjWvGNjq4Dj7CKanf
                        valuation_snapshot: https://web.valuechecker.ai/valuation/36e090ae516dfc47
                        claimed_amount: 600
                        actual_cash_value: 500
                        is_compensation_based_on_claimed_amount: true
                        depr_extra_one_year_no_receipt: false
                        comment: Example comment
                        date_damage: '2023-07-20'
                        appraisal_condition: Average
                        appraisal_status: Open
                        appraisal_deductible: 100
                        attachments:
                          - file_name: damage_photo.jpg
                            url: https://example.com/damage_photo.jpg
                            type: image
                            update_time: '2023-07-25T11:51:08Z'
                metadata:
                  fetch_time: '2023-07-25 13:54:37'
                  x_request_id: 93bb1e26-0d81-4d82-8ada-f40b10eabb50
                  appraisals:
                    current_page: 1
                    total_pages: 1
                    total_results: 1
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
components:
  parameters:
    client_id:
      name: client_id
      in: query
      schema:
        type: integer
      example: '10'
      description: >-
        The client ID for the request. It's required if you have access to
        multiple clients with your API key. Otherwise, it's optional.
    session-id:
      name: session-id
      in: query
      schema:
        type: string
      example: a1b2c3d4e5f6g7h8i9j0
      description: Optional session identifier of the user.
  responses:
    '400':
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              event_code:
                type: string
              event_dict:
                type: object
                properties:
                  event_severity:
                    type: string
                  title:
                    type: string
                  description:
                    type: string
          example:
            error: Bad Request
            event_code: ERIT01
            event_dict:
              event_severity: ERROR
              title: Bad Request
              description: Invalid parameters provided
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              event_code:
                type: string
              event_dict:
                type: object
                properties:
                  event_severity:
                    type: string
                  title:
                    type: string
                  description:
                    type: string
          example:
            error: Invalid Authorization header
            event_code: ERIT00
            event_dict:
              event_severity: ERROR
              title: Invalid Authorization header
              description: Please provide the right authorization token
    '403':
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              event_code:
                type: string
              event_dict:
                type: object
                properties:
                  event_severity:
                    type: string
                  title:
                    type: string
                  description:
                    type: string
          example:
            error: Forbidden
            event_code: ERIT02
            event_dict:
              event_severity: ERROR
              title: Forbidden
              description: Access denied
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Note! Prefix your <api-key> with `apiKey `. Note the space after "apiKey
        ".

````